package cn.yw.repairmanage.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import org.springframework.stereotype.Repository;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywrepairjobinfoDao")
public class YwrepairjobinfoDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Ywrepairjobinfo(Map map) throws SQLException{
		this.insert("insert_Ywrepairjobinfo",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	public void batch_insert_Ywrepairjobinfo(List batch) throws SQLException{
		this.insert("batch_insert_Ywrepairjobinfo",batch);
	}
	 
	/**
	 * 修改记录
	 */
	public Integer update_Ywrepairjobinfo(Map map) throws SQLException{
		return this.update("update_Ywrepairjobinfo",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Ywrepairjobinfo(Map map) throws SQLException{
		return this.delete("delete_Ywrepairjobinfo",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	public Integer batch_delete_Ywrepairjobinfo(Map map) throws SQLException{
		return this.delete("batch_delete_Ywrepairjobinfo",map);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywrepairjobinfo(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywrepairjobinfo",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_Ywrepairjobinfo(Map map) throws SQLException{
		return this.queryForPage("query_Ywrepairjobinfo",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Ywrepairjobinfo(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywrepairjobinfo",map);
	}
	
	//获取用户信息
	public Map getUserInfo(Map map) throws SQLException{
		return (Map) this.queryForObject("getUserInfo",map);
	}
	
	// 有权限审批工单的人所在的部门
	public List getReportBm(Map map) throws SQLException{
		return this.queryForList("getReportBm",map);
	}
	
	// 有权限审批工单的人
	public List getReportUser(Map map) throws SQLException{
		return this.queryForList("getReportUser",map);
	}
}
